/* 
.	 Responsive Bar
. 	 --------------------------------------------------------------------
*/

.responsive-bar { 
	background-color: $color-off-black; 
	position: fixed; 
	top:0; 
	left: 0; 
	z-index: 2000;
	box-shadow: 0 0 1.5rem rgba(33, 33, 33, 0.5);
	
	.admin-bar & {
		top: 32px;
		
		@media screen and (max-width: 48.875em) {
			top: 46px;
		}
	}
	
	.responsive-bar-inner {
		padding: 1rem;
		
		#responsive-menu-button { 
			width: 3rem; 
			display: block;
		    height: 2.9rem;
		    padding-top: 2px;
		    box-sizing: border-box;	
		    
		    .line {
				border-radius: 2rem;
				height: 2px;
				background-color: $color-white;
				margin: 5px 0;
			}
			
			&:hover {
				.line {
				}
			}
		}
	}
}